
Figure - Bug #119562
【AF】【PVT】【Monkey】MCE Monkey运行后出现上层冻屏现象，底层event有事件，但是屏幕点击无反应
2023-11-01 10:06 - 移动测试一组_CDTS 刘强

Status: NEED_INFO Start date: 2023-11-01

Priority: Normal Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: DB_20231030

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause:

Description

测试步骤】

1、烧写DB_20231030

2、安装apk，push blacklist

3、执行

monkey --pkg-blacklist-file /sdcard/blackList.txt --hprof --throttle 500 -s 1234567 --pct-touch 35 --pct-motion 25 --pct-appswitch 30 --pct-pinchzoom

5 --pct-trackball 0 --pct-anyevent 5 --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes --ignore-native-crashes

--pct-syskeys 0 -v -v -v 32000000 2>/sdcard/error.txt 1>/sdcard/info.txt

History

#1 - 2023-11-01 10:07 - 移动测试一组_CDTS 刘强

ftp://cdiot@192.168.87.46/Figure/log/119562/Monkey.zip

#2 - 2023-11-02 11:45 - CD FW-廖涛

- Status changed from New to NEED_INFO

- Assignee changed from CD FW-廖涛 to 移动测试一组_CDTS 刘强

- Need_Info changed from -- to TEST

■ Current conclusion

从历史日志看，Monkey 过程中出现大量与 HiCar 有关的 Crash，该问题是因为 HiCar 适配 MCE 引起，已经处理。目前从日志中，没有看出其他与问题有

关的异常，可能出现问题的原因是由于 HiCar 大量崩溃导致。

■ My analysis

CRASH 信息:

// CRASH: com.hryt.hicar.hicarlauncher (pid 27808)

// Short Msg: java.lang.NullPointerException

// Long Msg: java.lang.NullPointerException: Attempt to invoke virtual method 'android.content.ContentResolver

android.content.Context.getContentResolver()' on a null object reference

// Build Label: HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/7586:user/release-keys

// Build Changelist: 7586

// Build Time: 1698634065000

// java.lang.RuntimeException: Unable to instantiate activity

ComponentInfo{com.hryt.hicar.hicarlauncher/com.hryt.hicar.hicarlauncher.activity.ConnectActivity}: java.lang.NullPointerException: Attempt to invoke virtual
method 'android.content.ContentResolver android.content.Context.getContentResolver()' on a null object reference

//     at android.app.ActivityThread.performLaunchActivity(ActivityThread.java:3546)

//     at android.app.ActivityThread.handleLaunchActivity(ActivityThread.java:3793)

//     at android.app.servertransaction.LaunchActivityItem.execute(LaunchActivityItem.java:103)

//     at android.app.servertransaction.TransactionExecutor.executeCallbacks(TransactionExecutor.java:135)

//     at android.app.servertransaction.TransactionExecutor.execute(TransactionExecutor.java:95)

//     at android.app.ActivityThread$H.handleMessage(ActivityThread.java:2211)

//     at android.os.Handler.dispatchMessage(Handler.java:106)

//     at android.os.Looper.loopOnce(Looper.java:201)

//     at android.os.Looper.loop(Looper.java:288)

//     at android.app.ActivityThread.main(ActivityThread.java:7880)

//     at java.lang.reflect.Method.invoke(Native Method)

//     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

//     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

// Caused by: java.lang.NullPointerException: Attempt to invoke virtual method 'android.content.ContentResolver

android.content.Context.getContentResolver()' on a null object reference

//     at android.content.ContextWrapper.getContentResolver(ContextWrapper.java:110)

//     at com.hryt.hicar.hicarlauncher.util.ConnectDeviceInfoProvider.<init>(ConnectDeviceInfoProvider.java:23)

//     at com.hryt.hicar.hicarlauncher.activity.ConnectActivity.<init>(ConnectActivity.java:84)

//     at java.lang.Class.newInstance(Native Method)

//     at android.app.AppComponentFactory.instantiateActivity(AppComponentFactory.java:95)

//     at androidx.core.app.CoreComponentFactory.instantiateActivity(CoreComponentFactory.java:45)

//     at android.app.Instrumentation.newActivity(Instrumentation.java:1274)

//     at android.app.ActivityThread.performLaunchActivity(ActivityThread.java:3533)

//     ... 12 more

■ Next action

麻烦测试使用最新的版本进行 Monkey 跑测，看看是否还存在这个问题。若问题还存在，麻烦补充下出现问题的时间（尽量精确），以及出现问题后的

操作日志。
